Name:           mandelbulber
Version:        1.21
Release:        2%{?dist}
Summary:        Advanced 3D fractal generator
License:        GPLv3
URL:            http://www.mandelbulber.com/
Source0:        http://download.sourceforge.net/project/mandelbulber/%{name}%{version}-1.orig.tar.gz
Source1:        http://www.boost.org/LICENSE_1_0.txt
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ocl-icd-devel

%description
Mandelbulber is an experimental application that helps to make rendering 3D 
Mandelbrot fractals much more accessible. A few of the supported 3D fractals: 
Mandelbulb, Mandelbox, BulbBox, JuliaBulb, Menger Sponge, Quaternion, 
Trigonometric, Hypercomplex, and Iterated Function Systems (IFS). All of these
can be combined into infinite variations with the ability to hybridize 
different formulas together. 

** FEATURES **
* GUI created in the GTK+ 2 environment.
* Multi-core rendering.
* 3D Navigator with tools to see how close the camera is to the fractal 
surface.
* Complex 3D shading: hard shadows, 3 modes of ambient occlusion, depth of 
field, reflections, fog, glow, primitive objects, and water.
* Lights can be manually or randomly placed. Volumetric lighting available.
* Camera animation: Keyframe and mouse controlled flight.
* Keyframe animation of all parameters.
* Camera lenses: three-point projection, fisheye, and equirectangular 
projection.
* Distance estimation algorithm to reduce render times and artifacts of ray 
marching.
* Low memory mode to render images larger than 16,000 x 16,000 pixels.
* OpenCL support.

%prep
%setup -qn %{name}%{version}-1.orig
cp -p %{S:1} .

%build
make CXXFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" -C makefiles all

%install
# Install data files.
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pa usr/share/* %{buildroot}%{_datadir}/%{name}/

# Install binary.
mkdir -p %{buildroot}%{_bindir}
install -pDm755 makefiles/%{name} %{buildroot}%{_bindir}/%{name}

# Install the desktop file.
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%doc COPYING LICENSE_1_0.txt NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue May 20 2014 Christopher Meng <rpm@cicku.me> - 1.21-2
- Include Boost software license.

* Sat Feb 15 2014 Christopher Meng <rpm@cicku.me> - 1.21-1
- Update to 1.21

* Sun Jul 15 2012 Christopher Meng <rpm@cicku.me> - 1.12-1
- Initial Package.
